%define name python-prettytable
%define srcname prettytable
%define version 0.7.2
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: A simple Python library for easily displaying tabular data in a visually appealing ASCII table format
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD (3 clause)
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Luke Maurits <luke@maurits.id.au>
Url: http://code.google.com/p/prettytable

BuildRequires: python, python-devel
Requires: python

%description
PrettyTable is a simple Python library designed to make it quick and easy to represent tabular data in visually appealing ASCII tables.

%prep
%setup -q -n %{srcname}-%{version}

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/CHANGELOG 32bit/COPYING 32bit/PKG-INFO 32bit/README
%{python_sitelib}/*

%changelog
* Thu Jun 16 2016 Reshma V Kumar <reskumar@in.ibm.com> -0.7.2-1
* Wed May 25 2016 Ravi Hirekurabar <rhirekur@in.ibm.com> - 0.7.2-1
- first version for AIX V6.1 and higher

